org.apache.solr.handler.dataimport

## Class DataImporter

- java.lang.Object
- - org.apache.solr.handler.dataimport.DataImporter

-     public class DataImporter
      extends Object

  Stores all configuration information for pulling and indexing data.

  This API is experimental and subject to change

  Since:
    solr 1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataImporter.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABORT_CMD`
    `static String` | `COLUMN`
    `DocBuilder.Statistics` | `cumulativeStatistics`
    `static String` | `DATA_SRC`
    `static String` | `DEBUG_MODE`
    `static String` | `DELTA_IMPORT_CMD`
    `DocBuilder` | `docBuilder`
    `static String` | `FULL_IMPORT_CMD`
    `static String` | `IMPORT_CMD`
    `static String` | `MULTI_VALUED`
    `static String` | `NAME`
    `static String` | `RELOAD_CONF_CMD`
    `static String` | `SHOW_CONF_CMD`
    `static String` | `STATUS_MSGS`
    `static String` | `TYPE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDeltaImport(DIHWriter writer, RequestInfo requestParams)`
    `void` | `doFullImport(DIHWriter writer, RequestInfo requestParams)`
    `DIHConfiguration` | `getConfig()`
    `SolrCore` | `getCore()`
    `DataSource` | `getDataSourceInstance(Entity key, String name, Context ctx)`
    `DocBuilder` | `getDocBuilder()`
    `DocBuilder` | `getDocBuilder(DIHWriter writer, RequestInfo requestParams)`
    `String` | `getHandlerName()`
    `IndexSchema` | `getSchema()`
    `DataImporter.Status` | `getStatus()`
    `boolean` | `isBusy()`
    `void` | `loadAndInit(InputSource configFile)`
    `void` | `loadAndInit(String configStr)` Used by tests
    `DIHConfiguration` | `loadDataConfig(InputSource configFile)`
    `DIHConfiguration` | `readFromXml(Document xmlDocument)`
    `void` | `runAsync(RequestInfo reqParams, DIHWriter sw)`
    `void` | `setStatus(DataImporter.Status status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docBuilder

          public DocBuilder docBuilder

    - #### cumulativeStatistics

          public DocBuilder.Statistics cumulativeStatistics

    - #### COLUMN

          public static final String COLUMN

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### DATA_SRC

          public static final String DATA_SRC

      See Also:
        Constant Field Values

    - #### MULTI_VALUED

          public static final String MULTI_VALUED

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### STATUS_MSGS

          public static final String STATUS_MSGS

      See Also:
        Constant Field Values

    - #### FULL_IMPORT_CMD

          public static final String FULL_IMPORT_CMD

      See Also:
        Constant Field Values

    - #### IMPORT_CMD

          public static final String IMPORT_CMD

      See Also:
        Constant Field Values

    - #### DELTA_IMPORT_CMD

          public static final String DELTA_IMPORT_CMD

      See Also:
        Constant Field Values

    - #### ABORT_CMD

          public static final String ABORT_CMD

      See Also:
        Constant Field Values

    - #### DEBUG_MODE

          public static final String DEBUG_MODE

      See Also:
        Constant Field Values

    - #### RELOAD_CONF_CMD

          public static final String RELOAD_CONF_CMD

      See Also:
        Constant Field Values

    - #### SHOW_CONF_CMD

          public static final String SHOW_CONF_CMD

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHandlerName

          public String getHandlerName()

    - #### getSchema

          public IndexSchema getSchema()

    - #### loadAndInit

          public void loadAndInit(String configStr)

      Used by tests

    - #### loadAndInit

          public void loadAndInit(InputSource configFile)

    - #### loadDataConfig

          public DIHConfiguration loadDataConfig(InputSource configFile)

    - #### readFromXml

          public DIHConfiguration readFromXml(Document xmlDocument)

    - #### getConfig

          public DIHConfiguration getConfig()

    - #### getDataSourceInstance

          public DataSource getDataSourceInstance(Entity key,
                                                  String name,
                                                  Context ctx)

    - #### getStatus

          public DataImporter.Status getStatus()

    - #### setStatus

          public void setStatus(DataImporter.Status status)

    - #### isBusy

          public boolean isBusy()

    - #### doFullImport

          public void doFullImport(DIHWriter writer,
                                   RequestInfo requestParams)

    - #### doDeltaImport

          public void doDeltaImport(DIHWriter writer,
                                    RequestInfo requestParams)

    - #### runAsync

          public void runAsync(RequestInfo reqParams,
                               DIHWriter sw)

    - #### getDocBuilder

          public DocBuilder getDocBuilder()

    - #### getDocBuilder

          public DocBuilder getDocBuilder(DIHWriter writer,
                                          RequestInfo requestParams)

    - #### getCore

          public SolrCore getCore()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.